Name:		eruby
Version:	1.0.5
Release: 6.1
License:	distributable
URL:		http://www.modruby.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildPrereq:	ruby
BuildPreReq:	ruby-devel >= 1.8.0

Source0:	http://www.modruby.net/archive/%{name}-%{version}.tar.gz


Summary:	An interpreter of embedded Ruby language
Group:		Development/Languages

%description
eRuby interprets a Ruby code embedded text file. For example, eRuby
enables you to embed a Ruby code to a HTML file.


%package libs
Summary:	Library for eRuby
Group:		Development/Languages
Requires:	ruby-libs >= 1.8.0

%description libs
This package contains a library for eRuby.


%package devel
Summary:	Development files for eRuby.
Group:		Development/Languages
Requires:	%{name}-libs = %{version}

%description devel
This package contains the header files and libraries for an application
embedded eRuby.

%prep

%setup -q -c

%build
pushd %{name}-%{version}
ruby configure.rb --enable-shared
make
popd

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%__mkdir_p $RPM_BUILD_ROOT%{_bindir}
%__mkdir_p $RPM_BUILD_ROOT%{_libdir}
%__mkdir_p $RPM_BUILD_ROOT%{_datadir}
%__mkdir_p $RPM_BUILD_ROOT%{_includedir}
%__mkdir_p $RPM_BUILD_ROOT%{_mandir}/man1

# installing binaries ...
pushd %{name}-%{version}
make install DESTDIR=$RPM_BUILD_ROOT
popd

# listing all files in ruby-all.files
(find \
	$RPM_BUILD_ROOT%{_bindir} \
	$RPM_BUILD_ROOT%{_libdir} \
	$RPM_BUILD_ROOT%{_mandir} \
	$RPM_BUILD_ROOT%{_includedir} \
	-type f -o -type l) |
	sort | sed -e "s,^$RPM_BUILD_ROOT,," \
		   -e "s,\(/man/man./.*\)$,\1*," > eruby-all.files

# for eruby-libs
egrep '\.so\..*$' eruby-all.files > eruby-libs.files
egrep '%{_libdir}/ruby' eruby-all.files >> eruby-libs.files

# for eruby-devel
egrep '\.([ah]|so)$' eruby-all.files | grep -v %{_libdir}/ruby > eruby-devel.files

# for eruby
sort eruby-all.files eruby-libs.files eruby-devel.files | uniq -u > eruby.files


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

rm -f *.files

%post -p /sbin/ldconfig libs

%postun -p /sbin/ldconfig libs

%files -f eruby.files
%defattr (-, root, root)
%doc %{name}-%{version}/README.*
%doc %{name}-%{version}/ChangeLog
%doc %{name}-%{version}/examples

%files -f eruby-libs.files libs
%defattr (-, root, root)

%files -f eruby-devel.files devel
%defattr (-, root, root)


%changelog
* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.0.5-6.1
- rebuild

* Thu May 25 2006 Jeremy Katz <katzj@redhat.com> - 1.0.5-6
- rebuild to pick up -devel deps

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0.5-5.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.5-5.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Mar 17 2005 Akira TAGOH <tagoh@redhat.com> - 1.0.5-5
- rebuilt

* Thu Feb 10 2005 Akira TAGOH <tagoh@redhat.com> - 1.0.5-4
- rebuilt

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jan 09 2004 Akira TAGOH <tagoh@redhat.com> 1.0.5-1
- New upstream release.

* Wed Aug 06 2003 Akira TAGOH <tagoh@redhat.com> 1.0.3-4
- rebuilt

* Sat Jul 05 2003 Akira TAGOH <tagoh@redhat.com> 1.0.3-3
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 18 2003 Akira TAGOH <tagoh@redhat.com> 1.0.3-1
- New upstream release.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 22 2003 Akira TAGOH <tagoh@redhat.com> 1.0.1-1
- New upstream release.
- update the requirement to work on x86-64.

* Wed Nov 20 2002 Tim Powers <timp@redhat.com>
- lib64'ize
- don't excludearch alpha

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri May 31 2002 Akira TAGOH <tagoh@redhat.com> 0.9.8-1
- New upstream release.

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Feb 27 2002 Akira TAGOH <tagoh@redhat.com> 0.9.7-1
- New upstream release.
- split to libs and devel packages.
- Disable alpha only.

* Thu Aug  2 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.1.2

* Tue Aug 29 2000 akira yamada <akira@redhat.com>
- Updated to version 0.0.9
- Added eruby.c.O_EXCL.patch

* Tue Jun 22 2000 akira yamada <akira@redhat.com>
- Initial packaging.
